Bug 1420208 - [Disperse] Not able to export EC volumes with nfs-ganesha.
Summary: [Disperse] Not able to export EC volumes with nfs-ganesha.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: disperse
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Sunil Kumar Acharya
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 07:05 UTC by Sunil Kumar Acharya
Modified: 2018-11-23 10:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-23 10:06:06 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Sunil Kumar Acharya 2017-02-08 07:05:14 UTC
Description of problem:

Unable to export EC volumes.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Install gluster bits from mainline.
2. Install following nfs-ganesha packages.

nfs-ganesha.x86_64                    2.4.2-1.fc25              @updates        
nfs-ganesha-gluster.x86_64            2.4.2-1.fc25              @updates

3. Create a disperse volume [ 1 x (4 + 2) ]

4. Start nfs-ganesha service and create nfs-ganesha export configuration file for the EC volume.

/usr/libexec/ganesha/create-export-ganesha.sh /etc/ganesha on <EC vol name>

5. Try exporting the volume using below command.

/usr/libexec/ganesha/dbus-send.sh /etc/ganesha on <EC vol name>


Actual results:
EC volumes not being exported

Expected results:
EC volumes should get exported

Additional info:

Collected the logs from my setup and attached the same with this bug. Please let me know if you need any information.

Comment 1 Sunil Kumar Acharya 2017-02-08 07:11:56 UTC
<snippet>
.
.
[2017-02-07 05:48:15.278060] E [MSGID: 104024] [glfs-mgmt.c:799:mgmt_rpc_notify] 0-glfs-mgmt: failed to connect with remote-host: localhost (Transport endpoint is not connected) [Transport endpoint is not connected]
[2017-02-07 05:48:19.337548] I [MSGID: 122067] [ec-code.c:1025:ec_code_detect] 0-ec-1-disperse-0: Using 'avx' CPU extensions
[2017-02-07 05:48:19.337687] E [MSGID: 122074] [ec-code.c:425:ec_code_space_create] 0-ec-1-disperse-0: Unable to create a temporary file for the ec dynamic code [No such file or directory]
[2017-02-07 05:48:19.337708] E [MSGID: 122073] [ec.c:654:init] 0-ec-1-disperse-0: Failed to initialize matrix management [No such file or directory]
[2017-02-07 05:48:21.338547] E [MSGID: 101019] [xlator.c:503:xlator_init] 0-ec-1-disperse-0: Initialization of volume 'ec-1-disperse-0' failed, review your volfile again
[2017-02-07 05:48:21.338707] E [MSGID: 101066] [graph.c:324:glusterfs_graph_init] 0-ec-1-disperse-0: initializing translator failed
[2017-02-07 05:48:21.338764] E [MSGID: 101176] [graph.c:680:glusterfs_graph_activate] 0-graph: init failed
[2017-02-07 05:48:21.340383] E [MSGID: 104007] [glfs-mgmt.c:694:glfs_mgmt_getspec_cbk] 0-glfs-mgmt: failed to fetch volume file (key:ec-1) [Invalid argument]
.
.
<snippet>

Comment 2 Xavi Hernandez 2018-10-25 08:55:08 UTC
Is this problem still happening with latest releases of gluster and ganesha ?

Comment 3 Sunil Kumar Acharya 2018-11-23 10:06:06 UTC
With the latest master code of both gluster and nfs-ganesha, I am able to export ec volumes without any problem. Closing the bug.

[root@server1 src]# showmount -e
Export list for server1:
/ec-vol (everyone)
[root@server1 src]#


Note You need to log in before you can comment on or make changes to this bug.